After QtWebkit update Skype is not launching

Bug #1131636 reported by Simplehuman
284
This bug affects 62 people
Affects Status Importance Assigned to Milestone
qtwebkit-source (Ubuntu)
Undecided
Unassigned
skype (Ubuntu)
Undecided
Unassigned

Bug Description

In 13.04 after today's update (22.02) Skype has segmentation fault .

After some researches I think the problem is in Qt update.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: pulseaudio 1:3.0-0ubuntu3
ProcVersionSignature: Ubuntu 3.8.0-7.15-generic 3.8.0
Uname: Linux 3.8.0-7-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.8-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: simplehuman 2038 F.... pulseaudio
 /dev/snd/controlC1: simplehuman 2038 F.... pulseaudio
Date: Fri Feb 22 11:20:57 2013
InstallationDate: Installed on 2013-02-14 (7 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MarkForUpload: True
ProcEnviron:
 LANGUAGE=ru_UA:ru
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=ru_UA.UTF-8
 SHELL=/bin/bash
SourcePackage: pulseaudio
UpgradeStatus: Upgraded to raring on 2013-02-14 (7 days ago)
dmi.bios.date: 08/09/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1402
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: SABERTOOTH X58
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1402:bd08/09/2012:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnSABERTOOTHX58:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Revision history for this message
Simplehuman (simplehuman) wrote :
Revision history for this message
Raymond (superquad-vortex2) wrote :

Default sink name: alsa_output.pci-0000_06_04.0.analog-stereo
Default source name: alsa_input.pci-0000_06_04.0.iec958-stereo

ARECORD

**** List of CAPTURE Hardware Devices ****
card 0: STX [Xonar STX], device 0: Multichannel [Multichannel]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: STX [Xonar STX], device 1: Digital [Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
Revision history for this message
Simplehuman (simplehuman) wrote :

It doen't affect PulseAudio. Tested. I'm almost sure, that it is new version of Qt packeges problem

no longer affects: pulseaudio (Ubuntu)
description: updated
summary: - After pulseaudio update Skype is not launching
+ After Qt update Skype is not launching
Revision history for this message
Launchpad Janitor (janitor) wrote : Re: After Qt update Skype is not launching

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in skype (Ubuntu):
status: New → Confirmed
Revision history for this message
Simplehuman (simplehuman) wrote :

Can anyone tell me on which package to report relatively to Qt4? I happens after Qt4 update, and Skype is writen on Qt4

Revision history for this message
Povilas Kanapickas (p12) wrote :

Downgrading libqtwebkit4 from 2.3-0ubuntu4 to 2.2.1-4ubuntu1 fixed the issue.

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Reassigning due of comment #7

affects: skype (Ubuntu) → qtwebkit-source (Ubuntu)
Revision history for this message
Knarfix (frankkurian) wrote :

downgraded using sudo aptitude install libqtwebkit4=2.2.1-4ubuntu1. Reinstalled Skype....still does not work.

Revision history for this message
Simplehuman (simplehuman) wrote :

2 Knarfix, my steps to fix this:

1. Turn off proposed sorceses (if not - it won't work)
2. sudo apt-get update
3. Open Synaptic and downgrade libqtwebkit4 to 2.2.1-4ubuntu1 (it will remove Skype).
4. sudo apt-get install skype
5. Enjoy ;)

Revision history for this message
Knarfix (frankkurian) wrote :

ok, it works, thanks :)

Philip Muškovac (yofel)
summary: - After Qt update Skype is not launching
+ After QtWebkit update Skype is not launching
Revision history for this message
David Burrows (snadge) wrote :

I downgraded libx11-6 and libx11-xcb1 with the following:
sudo apt-get install libx11-6=2:1.5.0-1 libx11-xcb1=2:1.5.0-1

The workaround mentioned at https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-310/+bug/1134030 in Bug #1134030 comment #5 by Dmitry Pankratov (dremon) stops skype from crashing for me. Ubuntu 13.04 64bit, fglrx driver.

Revision history for this message
Simplehuman (simplehuman) wrote :

libqtwebkit4 2.3-0ubuntu7 - problem is still there

Revision history for this message
Alexander Kubashin (kubashin-a) wrote :

Downgrading libqtwebkit4 to 2.2.1-4ubuntu1 work for me (Ubuntu 13.04 32bit).

Revision history for this message
Povilas Kanapickas (p12) wrote :

FIY the workaround at Bug #1134030 comment #5 also fixes the issue with nvidia-304=304.64-0ubuntu5 driver.

no longer affects: skype
Changed in skype (Ubuntu):
status: New → Confirmed
Revision history for this message
Alexander Kubashin (kubashin-a) wrote :

No more package libqtwebkit4-2.2.1-4ubuntu1 in latest 13.04...
But workarround from p12 work for me:

LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype

P.S. I have fglrx-updates driver, not nvidia.

Revision history for this message
Keith Drummond (kd353) wrote :

My bug (Bug #1155327) has been marked a duplicate of this. Like I said in that, my workaround is choosing the standard Xorg drivers, then Skype will launch and run fine. Using the Nvidia 304, 310 or 313 drivers will cause Skype to crash when I try to start it. Is thus the same problem then?

Revision history for this message
Matt Welshans (mwelshans) wrote : Re: [Bug 1131636] Re: After QtWebkit update Skype is not launching

On 03/17/2013 07:39 AM, Keith Drummond wrote:
> My bug (Bug #1155327) has been marked a duplicate of this. Like I said
> in that, my workaround is choosing the standard Xorg drivers, then Skype
> will launch and run fine. Using the Nvidia 304, 310 or 313 drivers will
> cause Skype to crash when I try to start it. Is thus the same problem
> then?
>
I believe it is the same. I don't have Nvidia hardware, I have an ATI
Radeon card.

Revision history for this message
Simplehuman (simplehuman) wrote :

2 Keith Drummond,

but before qtwebkit update Skype was working fine with 310 Nvidia drivers.

After libqtwebkit was updated to 2.3.0 version - Skype began to crash

Revision history for this message
Keith Drummond (kd353) wrote :

@Dmitriy "Simplehuman" Fedorov (simplehuman)

I only upgraded my box with the Nvidia card to 13.04 on 10th March, so if libqtwebkit was updated before that date then I would not have noticed.

Revision history for this message
Jonathan Alfonso (alfonsojon1997) wrote :

Looking forward to a fix :)

Revision history for this message
frenchy82 (cartes) wrote :

I tried the workaround (LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype) but it didn't help

The solution is to use the libqtwebkit4 package from quantal and then it works
So it shoud be a "bug" from libqtwebkit4 i presume

Revision history for this message
Jonathan Alfonso (alfonsojon1997) wrote :

@frenchy82 That workaround seems to work for me, but there should still be a better way to fix it.

Revision history for this message
frenchy82 (cartes) wrote :

I've tried this patch from an other bug report where only 64bits system seems to be implicated
https://bugs.launchpad.net/ubuntu/+source/skype/+bug/1155327/comments/27

But it didn't help me for this bug
I'm on a 32 bits system

cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 6
model : 10
model name : AMD Athlon(tm) XP 2600+
stepping : 0
cpu MHz : 1920.500
cache size : 512 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 1
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow
bogomips : 3872.77
clflush size : 32
cache_alignment : 32
address sizes : 34 bits physical, 32 bits virtual
power management: ts

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2013-03-31, frenchy82 wrote:
> I've tried this patch from an other bug report where only 64bits
> system seems to be implicated
> https://bugs.launchpad.net/ubuntu/+source/skype/+bug/1155327/comments/27

What made you believe it's for 64 bits only? I'm on a 32 bits system myself, and it works fine for me.

Did you try to actually apply the patch somehow, or did you install the skype build from my PPA at
https://launchpad.net/~gunnarhj/+archive/misc ?

I would recommend the latter.

Revision history for this message
frenchy82 (cartes) wrote :

I did try your latest deb from your ppa and i still had a crash

Should be an other bug from Qtwebkit (Older version of qtwebkit works nicely)

ProblemType: Crash
Architecture: i386
Date: Fri Apr 5 15:29:48 2013
DistroRelease: Ubuntu 13.04
ExecutablePath: /usr/bin/skype-binary
ExecutableTimestamp: 1351757941
ProcCmdline: /usr/bin/skype-binary
ProcCwd: /home/cartes
ProcEnviron:
 LANGUAGE=fr:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 LD_PRELOAD=<set>
 SHELL=/bin/bash

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

@ frenchy82: Ok. I see in comment #22 that the LD_PRELOAD workaround didn't work for you when applied directly, so since my debs makes use of that workaround, it's not strange that neither they work for you.

Is the libgl1-mesa-glx package installed on your machine?

Revision history for this message
frenchy82 (cartes) wrote :

Yes it is

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Ok, then I have no other ideas. Suppose you'd better keep using the Quantal version of libqtwebkit4 for now. ;-)

Revision history for this message
Dread Knight (dread.knight) wrote :

Can someone link to the quantal version?
This is just great. About a month of epic fail of skype and pidgin in 13.04, I love it :D

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2013-04-06 04:26, Dread Knight wrote:
> Can someone link to the quantal version?

http://packages.ubuntu.com/quantal/libqtwebkit4

Revision history for this message
frenchy82 (cartes) wrote :

Could it be a problem of non sse2 proc (maybe i'm totally wrong, sorry for that)
Reading this article
http://blogs.kde.org/2013/03/15/qtwebkit-230-out

" If you are packaging to x86, you might also want to add --no-force-sse2 since the library would otherwise default to using SSE2 math..."

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Hi frenchy82, I'm building a spin just for you in my ppa [1]
could you please test it?
Anyway I don't think this is the real problem.

[1] https://launchpad.net/~costamagnagianfranco/+archive/costamagnagianfranco-ppa/+packages

Revision history for this message
frenchy82 (cartes) wrote :

Hi,

Thanks for this job but i did'nt make any difference. sorry

I gave a try too in changing in the rules file
./Tools/Scripts/build-webkit --qt
with
./Tools/Scripts/build-webkit --qt --no-force-sse2

now i can launch skype and and see the first window and it crashes 5 seconds after
"unauthorized operation"

i can launch too qupzilla and it crashes as soon as it uses javascript
"unauthorized operation"

So maybe there is an other bug with non sse2 computer

Thanks for all

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

did you install the webkit library?

Revision history for this message
frenchy82 (cartes) wrote :

I have installed libqtwebkit4_2.3.0-0ubuntu3_i386.deb from your PPA

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

I mean you changed the rules files, but did you build and installed the package?
According to your comment seems to grab the source files and built it yourself, so you need to install them too in your sys directories.

P.s. I removed it from my ppa because I wasn't sure about the fix, needs more testing.
BTW you will likely need to manually clean up your system if you build that lib from scratch

Revision history for this message
frenchy82 (cartes) wrote :

Yes i've built it in my PPA to try with this modification in the rules file.
An after having installed it skype could launch before crashing.
It's not so easy to have not too young computer
(sorry again for my english)

Revision history for this message
frenchy82 (cartes) wrote :

Hi,

http://www.mentby.com/Group/webkit-qt-list/qtwebkit-231-tagged.html
Qtwebkit 2.3.1 is out !!!

I've compiled it with ./Tools/Scripts/build-webkit --qt --no-force-sse2

and all works fine :)

I can use qupzilla with javascript and skype as well (LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype)

But , sorry, i did not succeed in uploadding it in my PPA (even if i made a local deb )

So i can confirm that Qtwebkit 2.3.1 with --no-force-sse2 solve this problem

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

@frenchy82: Do you need to start Skype with

  LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype

? Or is just

  skype

sufficient?

Revision history for this message
frenchy82 (cartes) wrote :

I need to start skype with
LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype

I have a nvidia card with nvidia-current installed

Revision history for this message
Simplehuman (simplehuman) wrote :

2 frenchy82,

so nothing is changed...
I can start Skype with
LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype
on the current version of Qtwebkit

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

There is no update of qwebkit rolled out on raring at the moment, so if you want to try it you might need to build it yourself.
Anyway I'll try ASAP to build it in my ppa.

Revision history for this message
frenchy82 (cartes) wrote :

@Dmitriy: As i said, i've built it myself (in a local machine not in my ppa) and this solves problem's for non sse2 proc computers (not the nvidia problem)

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

The new qtwebkit-source will be available (hopefully) in my ppa [1] in a few hours
[1] https://launchpad.net/~costamagnagianfranco/+archive/locutusofborg-ppa/

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

I've now a 2.3.1 build in this PPA: ppa:canonical-qt5-edgers/qt5-beta-proper (don't mind the Qt5 related packages)

Can you update to that ( 2.3.1-0ubuntu1~raring1~test1 ) and check if it fixes the issue?

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

Ah sorry read wrong, LD_PRELOAD apparently still needed by the affected nvidia users, so it's not going to fix this bug, just an unrelated problem with non sse2 computers (which is also an useful fix). So the problem continues to be not found, if it's on the qtwebkit side.

Revision history for this message
frenchy82 (cartes) wrote :

@LocutusOfBorg : Thanks for this work :)
Do you think it's possible to change in rules (debian)

ifeq (,$(filter $(DEB_HOST_ARCH),powerpc))
./Tools/Scripts/build-webkit --qt
else
./Tools/Scripts/build-webkit --qt DEFINES+=ENABLE_JIT=0

by

ifeq (,$(filter $(DEB_HOST_ARCH),powerpc))
./Tools/Scripts/build-webkit --qt --no-force-sse2
else
./Tools/Scripts/build-webkit --qt --no-force-sse2 DEFINES+=ENABLE_JIT=0

@Timo Jyrinki: not sure that this bug is a duplicate
this one is about non sse2 proc and bug #1155327 seems to be about nvidia
and as i have a sse proc (no sse2) AND a nvidia card ...

Revision history for this message
frenchy82 (cartes) wrote :

@LocutusOfBorg : I didn't see that in ppa:canonical- qt5-edgers/qt5-beta-proper rules was ok with sse2 with qtwebkit-source 2.3.1
So forget my request please

Revision history for this message
Stéphane (stephane-treboux) wrote :

After updating my 64-bit install to raring, I get a segmentation fault right when starting Skype.

I first solved the issue by downgrading libqtwebkit4 from 2.3.0 to 2.2.1:
libqtwebkit4_2.2.1-4ubuntu1_i386
libqtwebkit4_2.2.1-4ubuntu1_amd64

Today a new Skype package was released:
skype_4.1.0.20.0-0ubuntu0.13.04.2_amd64
skype-bin_4.1.0.20.0-0ubuntu0.13.04.2_i386

This new version of Skype does not crash anymore when used with the newest libqtwebkit4 package (2.3.0):
libqtwebkit4_2.3.0-0ubuntu2_i386
libqtwebkit4_2.3.0-0ubuntu2_amd64

I didn't try the mesa related workarounds.

Revision history for this message
cyd (cyd) wrote :

dist upgrade solved the problem for me (amd64 + nvidia)

updated to:

ii skype
4.1.0.20.0-0ubuntu0.13.04.2 amd64 client for Skype VOIP
and instant messaging service
ii skype-bin
4.1.0.20.0-0ubuntu0.13.04.2 i386 client for Skype VOIP
and instant messaging service - binary files

On Wed, May 1, 2013 at 1:37 PM, Stéphane <email address hidden> wrote:

> *** This bug is a duplicate of bug 1155327 ***
> https://bugs.launchpad.net/bugs/1155327
>
> After updating my 64-bit install to raring, I get a segmentation fault
> right when starting Skype.
>
> I first solved the issue by downgrading libqtwebkit4 from 2.3.0 to 2.2.1:
> libqtwebkit4_2.2.1-4ubuntu1_i386
> libqtwebkit4_2.2.1-4ubuntu1_amd64
>
> Today a new Skype package was released:
> skype_4.1.0.20.0-0ubuntu0.13.04.2_amd64
> skype-bin_4.1.0.20.0-0ubuntu0.13.04.2_i386
>
> This new version of Skype does not crash anymore when used with the newest
> libqtwebkit4 package (2.3.0):
> libqtwebkit4_2.3.0-0ubuntu2_i386
> libqtwebkit4_2.3.0-0ubuntu2_amd64
>
> I didn't try the mesa related workarounds.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1131636
>
> Title:
> After QtWebkit update Skype is not launching
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/qtwebkit-source/+bug/1131636/+subscriptions
>

--
CONFIDENTIALITY NOTICE
This e-mail message and any attachments are only for the use of the
intended recipient and may contain information that is privileged,
confidential or exempt from disclosure under applicable law. If you are not
the intended recipient, any disclosure, distribution or other use of this
e-mail message or attachments is prohibited. If you have received this
e-mail message in error, please delete and notify the sender immediately.
Thank you.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2013-05-01 13:37, Stéphane wrote:
> I didn't try the mesa related workarounds.

Yes, that's precisely what you did, because that's what the latest version in the archive is about. ;-)

Revision history for this message
John (vanuan) wrote :

Maybe related to the bug in glib: https://bugs.archlinux.org/task/34630

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers